STOFFChart::TextZone Struct Reference

a text zone a chart More...

`#include <STOFFChart.hxx>`

## Public Types

enum | Type { T_Title , T_SubTitle , T_Footer }
| the text type More...
enum | ContentType { C_Cell , C_Text }
| the text content type More...

## Public Member Functions

| TextZone (Type type)
| constructor
| ~TextZone ()
| destructor
bool | valid () const
| returns true if the textbox is valid
void | addContentTo (librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add to the propList

## Public Attributes

Type | m_type
| the zone type
ContentType | m_contentType
| the content type
bool | m_show
| true if the zone is visible
STOFFVec2f | m_position
| the position in the zone
Position | m_cell
| the cell position ( or title and subtitle)
std::vector< STOFFEntry > | m_textEntryList
| the text entry (or the list of text entry)
STOFFFont | m_font
| the zone format
STOFFGraphicStyle | m_style
| the graphic style

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFChart::TextZone const &zone)
| operator<<

## Detailed Description

a text zone a chart

## Member Enumeration Documentation

## ContentType

enum STOFFChart::TextZone::ContentType

the text content type

Enumerator
C_Cell |
C_Text |

## Type

enum STOFFChart::TextZone::Type

the text type

Enumerator
T_Title |
T_SubTitle |
T_Footer |

## Constructor & Destructor Documentation

## TextZone()

STOFFChart::TextZone::TextZone | ( | Type | type | ) |

explicit

constructor

Referenced by TextZone().

## ~TextZone()

STOFFChart::TextZone::~TextZone | ( |  | ) |

destructor

## Member Function Documentation

## addContentTo()

void STOFFChart::TextZone::addContentTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add content to the propList

Referenced by STOFFChart::sendChart().

## addStyleTo()

void STOFFChart::TextZone::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFChart::sendChart().

## valid()

bool STOFFChart::TextZone::valid | ( |  | ) | const

inline

returns true if the textbox is valid

Referenced by STOFFChart::sendChart().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::TextZone const & | zone )

friend

operator<<

## Member Data Documentation

## m_cell

Position STOFFChart::TextZone::m_cell

the cell position ( or title and subtitle)

Referenced by addContentTo(), operator<<, TextZone(), and valid().

## m_contentType

ContentType STOFFChart::TextZone::m_contentType

the content type

Referenced by addContentTo(), operator<<, STOFFChart::sendChart(), TextZone(), and valid().

## m_font

STOFFFont STOFFChart::TextZone::m_font

the zone format

Referenced by addStyleTo(), and TextZone().

## m_position

STOFFVec2f STOFFChart::TextZone::m_position

the position in the zone

Referenced by addContentTo(), operator<<, and TextZone().

## m_show

bool STOFFChart::TextZone::m_show

true if the zone is visible

Referenced by TextZone(), and valid().

## m_style

STOFFGraphicStyle STOFFChart::TextZone::m_style

the graphic style

Referenced by addStyleTo(), operator<<, and TextZone().

## m_textEntryList

std::vector<STOFFEntry> STOFFChart::TextZone::m_textEntryList

the text entry (or the list of text entry)

Referenced by TextZone(), and valid().

## m_type

Type STOFFChart::TextZone::m_type

the zone type

Referenced by addContentTo(), operator<<, STOFFChart::sendChart(), and TextZone().

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx